Home Page Articles User Guides News Letter  



Author Topic: Mitel 5610 "incompatible handset version"  (Read 55 times)

Offline Jcary

  • New Member
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Mitel 5610 "incompatible handset version"
« on: December 04, 2017, 04:49:15 PM »
I got a few Mitel 5610 phones and got some of them programmed to the dect stand no problem, but a few of them give me the "incompatible handset version" error and won't register. Does anyone know of a fix for this?


 

Sitemap 1 2 3 4 5 6 7 8 9